﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Windows.Input;

namespace RibbonControl {
    public class MyCommands {

        private static RoutedUICommand openDBFile;
        private static RoutedUICommand newDBFile;
        private static RoutedUICommand close;

        static MyCommands() {
            newDBFile = new RoutedUICommand("Neue Datenbank", "newDatabase", typeof(MyCommands));
            newDBFile.InputGestures.Add(new KeyGesture(Key.N, ModifierKeys.Control));

            openDBFile = new RoutedUICommand("Öffnen einer Datenbank", "openDatabase", typeof(MyCommands));
            openDBFile.InputGestures.Add(new KeyGesture(Key.O, ModifierKeys.Control));

            close = new RoutedUICommand("Schließen", "close", typeof(MyCommands));
        }

        public static RoutedUICommand OpenDBFile {
            get { return openDBFile; }
        }
        public static RoutedUICommand NewDBFile {
            get { return newDBFile; }
        }

        public static RoutedUICommand Close {
            get { return close; }
        }


    }
}
